Index: /code/branches/surfaceRace/data/levels/surfaceRace.oxw
===================================================================
--- /code/branches/surfaceRace/data/levels/surfaceRace.oxw	(revision 9119)
+++ /code/branches/surfaceRace/data/levels/surfaceRace.oxw	(revision 9120)
@@ -39,5 +39,5 @@
 <SpaceRaceManager>
  <checkpoints>	
-	<RaceCheckPoint name="checkpoint1" position="0,5050,-300" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+	<RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="1" islast="false" nextcheckpoints="1,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
@@ -69,126 +69,195 @@
 
 
-<RaceCheckPoint name="checkpoint2" position="0,5050,-800" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint3" position="0,5050,-1300" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint4" position="500,5050,-1300" direction="0,0.5,0" collisionType="static" scale="4" distance="160" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint5" position="1000,5050,-1300" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint6" position="1000,5050,-800" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint7" position="1000,5050,-500" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-
-<RaceCheckPoint name="checkpoint8" position="1000,5050,-200" direction="0,1,0" collisionType="static" scale="4" distance="160" checkpointindex="7" islast="true">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-           <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
+<RaceCheckPoint name="checkpoint2" position="0,8050, -2000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="2" islast="false" nextcheckpoints="2,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint3" position="0,8050,-3000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="3" islast="false" nextcheckpoints="3,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint4" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="100" checkpointindex="4" islast="false" nextcheckpoints="4,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint5" position="2000,8050, -5000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="5" islast="false" nextcheckpoints="5,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint6" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="100" checkpointindex="6" islast="false" nextcheckpoints="6,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+<RaceCheckPoint name="checkpoint7" position="4000,8050,-3000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="7" islast="false" nextcheckpoints="7,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+
+<RaceCheckPoint name="checkpoint8" position="4000,8050,-2000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="8" islast="false" nextcheckpoints="8,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+           <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint9" position="4000,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="9" islast="false" nextcheckpoints="9,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+           <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint10" position="4000,8050,0" direction="0,1,0" collisionType="static" scale="4" distance="100" islast="false" checkpointindex="10" nextcheckpoints="10,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+           <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint11" position="3000,8050,1000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="100" checkpointindex="11" islast="false" nextcheckpoints="6,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+            <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint11" position="3000,8050,1000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="10" islast="true">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+        <collisionShapes>
+           <!--
+            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
+		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
+		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
+            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
+
+		--> 
+        </collisionShapes>
+    </RaceCheckPoint>
+
 
 </checkpoints>
 </SpaceRaceManager>
 
- <SpawnPoint team=0 position="0,5050,0" lookat="0,5000,-5000" spawnclass=SpaceShip pawndesign=spaceshipRace />
+ <SpawnPoint team=0 position="0,8050,0" lookat="0,8000,-8000" spawnclass=SpaceShip pawndesign=spaceshipRace />
 
   
@@ -204,8 +273,8 @@
   <StaticEntity position="0,0,0" direction="0,0,0" collisionType=static mass=100000 friction=0.01>
      <attached>
-        <Model position="0,0,0" mesh="testcube.mesh" scale3D="5000,5000,5000" />
+        <Model position="0,0,0" mesh="testcube.mesh" scale3D="8000,8000,8000" />
       </attached>
       <collisionShapes>
-        <BoxCollisionShape position="0,50,0" halfExtents="5000,5000,5000" />
+        <BoxCollisionShape position="0,50,0" halfExtents="8000,8000,8000" />
       </collisionShapes> 
 </StaticEntity>
Index: /code/branches/surfaceRace/data/levels/templates/spaceshipRace.oxt
===================================================================
--- /code/branches/surfaceRace/data/levels/templates/spaceshipRace.oxt	(revision 9119)
+++ /code/branches/surfaceRace/data/levels/templates/spaceshipRace.oxt	(revision 9120)
@@ -77,5 +77,5 @@
    boostfactor    = 2
 
-   speedfront     = 150
+   speedfront     = 2500
    speedback      =  50
    speedleftright =  50