Index: code/branches/newlevel2012/data/levels/towerDefense.oxw
===================================================================
--- code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9138)
+++ code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9139)
@@ -27,5 +27,5 @@
 
 <!-- Specify the position of the camera -->
-<Template name=playfieldcameras defaults=0>
+<Template name=centerpointmarkcamera defaults=0>
   <Pawn>
     <camerapositions>
@@ -35,7 +35,7 @@
 </Template>
 
-<!-- Loads the playfield mesh -->
-<Template name=playfield>
-  <Pawn camerapositiontemplate=playfieldcameras>
+<!-- Loads a mesh to mark the center-->
+<Template name=centerpointmark>
+  <Pawn camerapositiontemplate=centerpointmarkcamera>
     <attached>
       <Model position="0,0,0" mesh="cylinder.mesh" scale3D="1,1,1" /> <!-- the camera is attached to this -->
@@ -58,6 +58,6 @@
     <Template link=lodtemplate_default />
   </templates>
+  
   <?lua include("includes/notifications.oxi") ?>
-
 
   <Scene
@@ -65,17 +65,14 @@
     skybox       = "Orxonox/Starbox"
   >
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    
+  
+  	<Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     
 	<!-- Spawns the camera, attached to a crate -->
-	<SpawnPoint team=0 position="0,0,0" spawnclass=Pawn pawndesign=playfield />
-
+	<SpawnPoint team=0 position="0,0,0" spawnclass=Pawn pawndesign=centerpointmark />
 	
  	<!--SpawnPoint team=1 position="0,0,10" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff  /-->
  	<!--SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff /-->
  	
- 	
- 	 <!--SpaceShip position="-10,0,20" lookat="0,0,0">
+	<!--SpaceShip position="-10,0,20" lookat="0,0,0">
       <templates>
         <Template link=spaceshipassff />
@@ -109,10 +106,9 @@
 			<Model position="-0.5,-0.5,0" mesh="Playfield_ME.mesh" scale=0.8 />
 			
+			<!-- This was used to mark the playfield, let's let it be here for now -->
 			<!--Model position="-8,8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
 			<!--Model position="-8,-8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
 			<!--Model position="8,-8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
 			<!--Model position="8,8,0" mesh="crate.mesh" scale3D="0.3,0.3,0.3" /-->
-			
-			<!--Model position="0,0,50" direction="0,0,0"  mesh="rocket.mesh"  scale3D="0.3,0.3,0.3" /-->
 			
         </attached>
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9138)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9139)
@@ -83,4 +83,5 @@
     TowerDefense::~TowerDefense()
     {
+		/* Part of a temporary hack to allow the player to add towers */
         if (this->isInitialized())
         {
@@ -92,6 +93,5 @@
 	void TowerDefense::setCenterpoint(TowerDefenseCenterpoint *centerpoint)
 	{
-		orxout() << "got a centerpoint..." << endl;
-		
+		orxout() << "Centerpoint now set..." << endl;
 		this->center_ = centerpoint;
 	}
@@ -101,28 +101,25 @@
         Deathmatch::start();
 		
-        orxout()<< "Adding towers for debug..." <<endl;
-		
-		addTower(0,15);
-		addTower(15,0);
-		
+        orxout() << "Adding towers for debug..." << endl;
+		
+		// Mark corners
+		addTower(0,15); addTower(15,0);
+		
+		// Mark diagonal line
 		for (int i = 0 ; i <= 15; i++)
-		{
 			addTower(i,i);
-		}
-		
-		orxout()<< "Done" <<endl;
+		
+		orxout() << "Done" << endl;
 		
 		ChatManager::message("Use the console command addTower x y to add towers");
-    }
-	
-	/*
-	 void TowerDefense::end()
-	 {
-	 Deathmatch::end();
-	 
-	 std::string message("The match has ended.");
-	 ChatManager::message(message);
-	 }
-	 */
+	}
+	
+	void TowerDefense::end()
+	{
+		Deathmatch::end();
+	 
+		ChatManager::message("Match is over");
+	}
+	
 	
 	void TowerDefense::addTower(int x, int y)
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9138)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9139)
@@ -50,8 +50,13 @@
 		//virtual void playerScored(PlayerInfo* player);
 		
+		/*	Called by TowerDefenseCenterpoint upon game start 
+			The centerpoint is used to create towers
+		*/
 		void setCenterpoint(TowerDefenseCenterpoint *centerpoint);
 		
+		/* Adds a tower at x, y in the playfield */
+		void addTower(int x, int y);
+		
 		/* Part of a temporary hack to allow the player to add towers */
-		void addTower(int x, int y);
 		ConsoleCommand* dedicatedAddTower_;
 		