Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9140)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9141)
@@ -6,4 +6,6 @@
 //  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
 //
+
+/* Not implemented fully */
 
 #include "Tower.h"
Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9140)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9141)
@@ -6,4 +6,12 @@
 //  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
 //
+
+/**
+@brief
+See TowerDefenseReadme.txt for Information.
+    
+@ingroup TowerDefense
+*/
+
 
 #ifndef Orxonox_Tower_h
@@ -21,6 +29,6 @@
 		virtual ~Tower() {};
 		
-		virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-		virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
+		virtual void moveFrontBack(const Vector2& value);
+		virtual void moveRightLeft(const Vector2& value);
 		
 		void setGame(TowerDefense* towerdefense)
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9140)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.h	(revision 9141)
@@ -26,4 +26,12 @@
  *
  */
+	 
+ /**
+	 @brief
+	 GameType class for TowerDefense. See TowerDefenseReadme.txt for Information.
+	 
+	 @ingroup TowerDefense
+ */
+	 
 
 #ifndef _TowerDefense_H__
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9140)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9141)
@@ -50,12 +50,10 @@
     {
         RegisterObject(TowerDefenseCenterpoint);
-
-		
-		
-        this->width_ = 10;
-        this->height_ = 11;
+ 
+ 	   	this->width_ = 15;
+        this->height_ = 15;
         this->towerTemplate_ = "";
         
-        this->checkGametype();
+		this->checkGametype();
     }
 
@@ -68,6 +66,6 @@
         SUPER(TowerDefenseCenterpoint, XMLPort, xmlelement, mode);
 
-        XMLPortParam(TowerDefenseCenterpoint, "width", setWidth, getWidth, xmlelement, mode); // die Breite
-        XMLPortParam(TowerDefenseCenterpoint, "height", setHeight, setWidth, xmlelement, mode); // die Grösse
+        XMLPortParam(TowerDefenseCenterpoint, "width", setWidth, getWidth, xmlelement, mode);
+        XMLPortParam(TowerDefenseCenterpoint, "height", setHeight, setWidth, xmlelement, mode);
         XMLPortParam(TowerDefenseCenterpoint, "towerTemplate", setTowerTemplate, getTowerTemplate, xmlelement, mode);
     }
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9140)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9141)
@@ -28,8 +28,9 @@
 
 /**
-    @file TowerDefenseCenterpoint.h
-    @brief Declaration of the TowerDefenseCenterpoint class.
-    @ingroup TowerDefense
-*/
+ @brief
+ See TowerDefenseReadme.txt for Information.
+ @ingroup TowerDefense
+ */
+
 
 #ifndef _TowerDefenseCenterpoint_H__
@@ -39,5 +40,4 @@
 
 #include <string>
-
 #include <util/Math.h>
 
@@ -46,47 +46,26 @@
 namespace orxonox
 {
-    
-    /**
-    @brief
-        
-    
-    @author
-        
-    @ingroup TowerDefense
-    */
     class _TowerDefenseExport TowerDefenseCenterpoint : public StaticEntity
     {
         public:
-            TowerDefenseCenterpoint(BaseObject* creator); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually TowerDefense.
+            TowerDefenseCenterpoint(BaseObject* creator);
             virtual ~TowerDefenseCenterpoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a TowerDefenseCenterpoint through XML.
-
-            virtual void changedGametype(); //!< Is called when the gametype has changed.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void changedGametype();
             
             /**
-            @brief Set the width of the playing field.
-            @param width The width in number of tiles.
+            @brief The width and hight in number of tiles. Default is 15 for both.
             */
             void setWidth(unsigned int width)
                 { this->width_ = width; }
-            /**
-            @brief Get the width of the playing field.
-            @return Returns the width in number of tiles.
-            */
-            unsigned int getWidth(void) const
+            
+			unsigned int getWidth(void) const
                 { return this->width_; }
                 
-            /**
-            @brief Set the height of the playing field.
-            @param height The height in number of tiles.
-            */
             void setHeight(unsigned int height)
                 { this->height_ = height; }
-            /**
-            @brief Get the height of the playing field.
-            @return Returns the height in number of tiles.
-            */
-            unsigned int getHeight(void) const
+            
+			unsigned int getHeight(void) const
                 { return this->height_; }
                 
@@ -97,19 +76,14 @@
             void setTowerTemplate(const std::string& templateName)
                 { this->towerTemplate_ = templateName; }
-            /**
-            @brief Get the template for the towers.
-            @return Returns the template name to be applied to each tower.
-            */
-            const std::string& getTowerTemplate(void) const
+            
+			const std::string& getTowerTemplate(void) const
                 { return this->towerTemplate_; }
-            
 
         private:
-            void checkGametype(); //!< Checks whether the gametype is TowerDefense and if it is, sets its centerpoint.
+            void checkGametype();
             
             unsigned int width_;
             unsigned int height_;
             std::string towerTemplate_;
-
     };
 }
Index: code/branches/newlevel2012/src/modules/towerdefense/towerdefensereadme.txt
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/towerdefensereadme.txt	(revision 9141)
+++ code/branches/newlevel2012/src/modules/towerdefense/towerdefensereadme.txt	(revision 9141)
@@ -0,0 +1,20 @@
+===============================================================================
+Classes
+===============================================================================
+
+TowerDefense:
+GameType class
+
+TowerDefenseCenterpoint
+Centerpoint class. Store tower template
+
+Tower
+Represents a Tower
+
+
+===============================================================================
+Other files
+===============================================================================
+
+/data/levels/towerdefense.oxw
+Loads the level. In <Level>, we first create a SpawnPoint. It spawns a cylinder using the 'centerpointmark' Template, which uses the 'centerpointmarkcamera' Template to create a static camera. Then, we create an instance of TowerDefenseCenterpoint and pass the 'towertemplate' Template, so that we can later create towers using this template. We also plase the playfield.mesh in a way that maps every field on the playfield.mesh to nice coordinates: the playfield spans as a square from -8,-8 to 8,8.