Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9149)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9154)
@@ -153,11 +153,18 @@
 	void TowerDefense::addTower(int x, int y)
 	{
-		if (x > 15 || y > 15 || x < 0 || y < 0)//Hard coded: TODO: let this depend on the centerpoint's height, width and fieldsize (fieldsize doesn't exist yet)
+		unsigned int width = this->center_->getWidth();
+		unsigned int height = this->center_->getHeight();
+		int tileScale = (int) this->center_->getTileScale();
+		
+		orxout() << "tile scale = " << tileScale << endl;
+		
+		if (x > 15 || y > 15 || x < 0 || y < 0)
 		{
+			//Hard coded: TODO: let this depend on the centerpoint's height, width and fieldsize (fieldsize doesn't exist yet)
 			orxout() << "Can not add Tower: x and y should be between 0 and 15" << endl;
 			return;
 		}
 		
-		orxout()<< "Will add tower at (" << x << "," << y << ")" << endl;
+		orxout() << "Will add tower at (" << (x-8) * tileScale << "," << (y-8) * tileScale << ")" << endl;
 		
 		Tower* newTower = new Tower(this->center_);
@@ -166,5 +173,5 @@
 		this->center_->attach(newTower);
 		
-		newTower->setPosition(x-8,y-8,0);
+		newTower->setPosition((x-8) * tileScale, (y-8) * tileScale, 0);
 		newTower->setGame(this);
 		//TODO: Save the Tower in a Vector. I would suggest std::vector< std::vector<Tower*> > towers_ as a protected member variable;
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9149)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9154)
@@ -67,6 +67,8 @@
 
         XMLPortParam(TowerDefenseCenterpoint, "width", setWidth, getWidth, xmlelement, mode);
-        XMLPortParam(TowerDefenseCenterpoint, "height", setHeight, setWidth, xmlelement, mode);
+        XMLPortParam(TowerDefenseCenterpoint, "height", setHeight, getHeight, xmlelement, mode);
+		XMLPortParam(TowerDefenseCenterpoint, "tileScale", setTileScale, getTileScale, xmlelement, mode);
         XMLPortParam(TowerDefenseCenterpoint, "towerTemplate", setTowerTemplate, getTowerTemplate, xmlelement, mode);
+		
         //TODO: add XMLPortObject(TowerDefenseCenterpoint, WorldEntity, "waypoints", addWaypoint, getWaypoint,  xmlelement, mode);
         // This was copied and shightly modified from WaypointController.cc ; there are no getters and setters and no membervariable yet
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9149)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9154)
@@ -69,4 +69,13 @@
 			unsigned int getHeight(void) const
                 { return this->height_; }
+			
+			/**
+			@brief How to convert to world coordinates, e.g. that 0,15 is not at -8,-8 but at -80,-80 (if scale would be 10)
+			*/
+			void setTileScale(unsigned int tileScale)
+				{ this->tileScale_ = tileScale; }
+			
+			unsigned int getTileScale(void) const
+				{ return this->tileScale_; }
                 
             /**
@@ -85,4 +94,6 @@
             unsigned int width_;
             unsigned int height_;
+			unsigned int tileScale_;
+			
             std::string towerTemplate_;
     };
Index: code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc
===================================================================
--- code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc	(revision 9149)
+++ code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc	(revision 9154)
@@ -65,15 +65,15 @@
             return;
 
-		orxout() << "(" << this->waypoints_.size() << ") entity: " << this->getControllableEntity() << endl;
+//		orxout() << "(" << this->waypoints_.size() << ") entity: " << this->getControllableEntity() << endl;
 
         if (this->waypoints_.size() == 0 || !this->getControllableEntity())
             return;
 
-		printf("3");
+//		printf("3");
 
         if (this->waypoints_[this->currentWaypoint_]->getWorldPosition().squaredDistance(this->getControllableEntity()->getPosition()) <= this->squaredaccuracy_)
             this->currentWaypoint_ = (this->currentWaypoint_ + 1) % this->waypoints_.size();
 
-		printf("4");
+//		printf("4");
 
         this->moveToPosition(this->waypoints_[this->currentWaypoint_]->getWorldPosition());