Index: code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9119)
+++ code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9155)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Eric Beier
+ *      Kevin Lengauer
  *   Co-authors:
  *      ...
@@ -28,6 +28,6 @@
 
 /**
-    @file SpeedPickup.cc
-    @brief Implementation of the SpeedPickup class.
+    @file DamageBoostPickup.cc
+    @brief Implementation of the DamageBoostPickup class.
 */
 
@@ -71,5 +71,5 @@
     {
         this->duration_ = 0.0f;
-        this->damageMultiplier_ = 20.0f;
+        this->damageMultiplier_ = 1.0f; //The default damage multiplier.
         //Defines who is allowed to pick up the pickup.
         this->addTarget(ClassIdentifier<SpaceShip>::getIdentifier());
@@ -105,8 +105,19 @@
 
         XMLPortParam(DamageBoostPickup, "duration", setDuration, getDuration, xmlelement, mode);
-        XMLPortParam(DamageBoostPickup, "damageMultiplier", setDefaultDamageMultiplier, getDefaultDamageMultiplier, xmlelement, mode);
+        XMLPortParam(DamageBoostPickup, "damageMultiplier", setDamageMultiplier, getDamageMultiplier, xmlelement, mode);
 
         this->initializeIdentifier();
     }
+
+    // Work in Progress setDamage Function
+    void DamageBoostPickup::setDamageMultiplier(float damageMultiplier)
+    {
+        if(damageMultiplier >= 1.0f)
+        {
+            this->damageMultiplier_ = damageMultiplier;
+            orxout() << "Set Damage " << damageMultiplier << endl;
+        }
+    }
+
 
     /**
@@ -138,8 +149,8 @@
                 }
             }
-            // NOTE: commented this since its use was not apparent
-            // ship->getCreator();
-
+
+            // Saves the old default Damage that is needed to restore the original damage
             this->olddamageMultiplier_ = ship->getDamageMultiplier();
+            // Sets the new Damage with the damage multiplier.
             ship->setDamageMultiplier( this->damageMultiplier_ );
         }
@@ -214,19 +225,13 @@
         else
         {
-            orxout(internal_error, context::pickups) << "Invalid duration in SpeedPickup." << endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in DamagePickup." << endl;
             this->duration_ = 0.0f;
         }
     }
 
-   /* void DamageBoostPickup::setDamageBoost(float damageBoost)
-       {
-
-       }
-    void DamageBoostPickup::setDamageSave(float damageSave)
-    {
-
-    }
-    */
-
+    /**
+    @brief
+        Helper method. Is called by the Timer as soon as it expires.
+    */
     void DamageBoostPickup::pickupTimerCallback(void)
     {
Index: code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h	(revision 9119)
+++ code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h	(revision 9155)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Damian 'Mozork' Frick
+ *      Kevin Lengauer
  *   Co-authors:
  *      ...
@@ -53,18 +53,7 @@
 
             virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a DamageBoostPickup object through XML.
-            // commented out cuz was not used
-            // virtual void tick(float dt); //!< Is called every tick.
 
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
             virtual void clone(OrxonoxClass*& item); //!< Creates a duplicate of the input OrxonoxClass.
-
-            /**
-            @brief Get the damageboost that is transferred to the Pawn upon usage of this pickup.
-            @return Returns the damageboost.
-            */
-            // Commentend, may not be used
-            // inline float setDamageMultiplier(void) const
-            //    { ship->setMultiplier(); }
-
 
     	    /**
@@ -77,9 +66,10 @@
 
 
-            // we need these methods to set the default damage multiplier from XML
-            // not that beautiful yet
-            inline void setDefaultDamageMultiplier(float multiplier)
-                { this->damageMultiplier_ = multiplier; }
-            inline float getDefaultDamageMultiplier()
+
+            /**
+             @brief set Damage multiplier
+             @param multiplier The default damage multiplier to set
+             */
+            inline float getDamageMultiplier()
                 { return this->damageMultiplier_; }
 
@@ -89,12 +79,11 @@
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
+            void setDamageMultiplier(float damageMultiplier);
 
-            // void setDamageBoost(float damageBoost);//!< Sets the damage boost.
-            // void setDamageSave(float damageSave); //!< Saves the original damage.
 
         private:
             void initialize(void); //!< Initializes the member variables.
             Pawn* carrierToPawnHelper(void); //!< Helper to transform the PickupCarrier to a Pawn, and throw an error message if the conversion fails.
-            SpaceShip* carrierToSpaceShipHelper(void);
+            SpaceShip* carrierToSpaceShipHelper(void); //!< Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
             void pickupTimerCallback(void);
 
Index: code/branches/pickup2012/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/branches/pickup2012/src/modules/pickup/items/SpeedPickup.h	(revision 9119)
+++ code/branches/pickup2012/src/modules/pickup/items/SpeedPickup.h	(revision 9155)
@@ -112,5 +112,5 @@
         private:
             void initialize(void); //!< Initializes the member variables.
-            SpaceShip* carrierToSpaceShipHelper(void); //!< Helper to transform the PickupCarrier to a SpaceSHip, and throw an error message if the conversion fails.
+            SpaceShip* carrierToSpaceShipHelper(void); //!< Helper to transform the PickupCarrier to a SpaceShip, and throw an error message if the conversion fails.
 
             Timer durationTimer_; //!< Timer.
Index: code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9119)
+++ code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9155)
@@ -234,5 +234,7 @@
     	Pawn *test = dynamic_cast<Pawn *>(originator);
     	if( test != NULL )
+    	{ orxout() << "Test " << damage << endl;
     	  damage *= originator->getDamageMultiplier();
+    	}
 
     	if (this->getGametype() && this->getGametype()->allowPawnDamage(this, originator))